#! /usr/bin/python
#
# This script parses MBOX files and generates entries suitable for inclusion 
# here:
#
# <https://community.openvpn.net/openvpn/wiki/Patches>
#
# If you're using Mozilla Thunderbird you need ImportExportTools plugin to 
# export your emails as MBOX.
#
# You can parse an MBOX file like this:
#
# cat file.mbox|./parseOvpn.py
#
# This will produce Trac-compatible output, which you simply copy and paste to 
# the above page.

import email
import email.utils
import sys
import time

gmane='http://news.gmane.org/find-root.php?message_id=%s'

lineformat='|| %(date)s ||[[%(url)s| %(title)s ]] || %(author)s || || ||'

def main():
    msg = email.message_from_file(sys.stdin)

    d= {}

    d['url'] = gmane % msg['Message-Id']
    d['title'] = msg['Subject'].replace( '\t',"").replace('\n',"")
    d['title'] = d['title'].replace('[Openvpn-devel] ',"")

    t = email.utils.parsedate(msg['Date'])
    d['date'] = time.strftime("%Y-%m-%d",t)
    d['author'] = msg['From']

    print lineformat % d

if __name__=='__main__':
    main()
